  body {
    margin: 0;
    background: #ffffff;
    font-family: sans-serif;
  }

  #map {
    width: 100vw;
    height: 100vh;
    background: #fff;
  }

.grid {
  display: grid;
  grid-template-columns: repeat(5, 16px);
  gap: 6px;
}

.sq {
  width: 16px;
  height: 16px;
  background: black;
  opacity: 0;
  transform: scale(0.3) rotate(15deg);
}

.sq.on {
  animation: build 0.6s ease forwards;
}

.sq:nth-child(1) { animation-delay: 0.05s; }
.sq:nth-child(2) { animation-delay: 0.1s; }
.sq:nth-child(3) { animation-delay: 0.15s; }

@keyframes build {
  to {
    opacity: 1;
    transform: scale(1) rotate(0deg);
  }
}

#credit {
  position: absolute;
  bottom: 10px;
  left: 10px;
  font-size: 15px;
  color: #555;
  z-index: 1000;
}

#loader {
  position: fixed;
  inset: 0;
  background: white;
  display: flex;
  flex-direction: column; /* ВАЖНО */
  justify-content: center;
  align-items: center;
  gap: 20px; /* расстояние между логотипом и текстом */
  z-index: 9999;
  transition: opacity 0.6s ease;
}

#wait {
  font-size: 28px;
  color: #555;
  font-family: 'Playfair Display', serif; /* элегантный шрифт */
  letter-spacing: 1px;
}

#mapSwitch {
  position: absolute;
  bottom: 20px;
  right: 20px;
  z-index: 1000;
}

#mapSwitch img {
  width: 200px;
  margin: 5px;
  cursor: pointer;
  border: 2px solid #fff;
}

.leaflet-control-container {
   display: hidden;
   z-index: 1000;
}

 @media (max-width: 768px) {
  #mapSwitch {
    bottom: 10px;
    right: 10px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
  }

  #mapSwitch img {
    width: 100px;
    margin: 2px 0;
  }
}